Скачать

 

Русификатор для Komodo Edit

 

localru-1.32-ko.xpi для Komodo Edit 9.3.2


localru-1.31-ko.xpi для Komodo Edit 9.3.1
localru-1.30-ko.xpi для Komodo Edit 9.3.0
localru-1.25-ko.xpi для Komodo Edit 9.2.1
localru-1.20-ko.xpi для Komodo Edit 9.2.0
localru-1.19-ko.xpi для Komodo Edit 9.1.0
localru-1.18-ko.xpi для Komodo Edit 9.0.1
localru-1.16-ko.xpi для Komodo Edit 9.0.0
localru-1.14-ko.xpi для Komodo Edit 8.5.4
localru-1.13-ko.xpi для Komodo Edit 8.5.3
localru-1.12-ko.xpi для Komodo Edit 8.5.3
localru-0.11-ko.xpi для Komodo Edit 8.5.3
localru-0.9-ko.xpi для Komodo Edit 8.5.3
localru-0.8-ko.xpi для Komodo Edit 8.5.3
localru-0.6-ko.xpi для Komodo Edit 8.5.3
localru-0.5-ko.xpi для Komodo Edit 8.5.3


Русификатор для Komodo IDE

 

localruide-0.06-ko.xpi для Komodo IDE 8.5.4


localruide-0.05-ko.xpi для Komodo IDE 8.5.3

 


Как установить:

  • Скачиваете расширение-русификатор поновее по ссылкам выше.
  • Запускаете Komodo и в меню: Tools->Add-ons.
  • Выбираете Install Add-ons from file.
  • Выбираете скачанный файл.
  • Нажимаете Install Now.
  • Перезапускаете Komodo.
Для Komodo 9.3.0 и старше:
Перетаскиваете файл русификатора в окно Комодо и соглашаетесь на перезапуск.
Либо File-Open-File (или ctrl+o), выбираете файл русификатора и соглашаетесь на перезапуск.

Примечание:
Если после установки не перевелись надписи или кнопки ("Disable" и пр.) в менеджере дополнений - то просто установите русификатор ещё раз поверх, как бы странно это не звучало.

    18 комментариев:

    1. От души) спс!!!!!!!!!!!!!

      ОтветитьУдалить
    2. Ну почему у меня последний localru-1.32-ko.xpi не ставится на Komodo IDE, version 9.3.2, build 88191???
      Пишет, что не совместим, прекратить или продолжить установку, продолжаю и ни какой реакции, перезагружаю прогу и без изменений.

      ОтветитьУдалить
      Ответы
      1. Русификатор 1.32 только для EDIT версии. Для IDE русификатор есть только для версии 8.5.4.

        Удалить
      2. Необратил внимание, спасибо большое за подсказку)

        Удалить
    3. Этот комментарий был удален автором.

      ОтветитьУдалить
    4. Подскажите, планируется ли русификатор для Komodo IDE 9.х.х ? Или ваш основной акцент именно на редакторе?

      Дело в том, что если накатить русификатор "localruide-0.06-ko.xpi для Komodo IDE 8.5.4" на Komodo IDE.v9.3.2, то IDE падает наглухо и её нужно переустанавливать, несмотря на то, что вы пишите: Для Komodo 9.3.0 и старше:
      Перетаскиваете файл русификатора в окно Комодо и соглашаетесь на перезапуск.

      ОтветитьУдалить
      Ответы
      1. Под фразой "Для Komodo 9.3.0 и старше: Перетаскиваете файл русификатора в окно Комодо и соглашаетесь на перезапуск." указан лишь способ установки. Русификатор подходит только(!) для той версии для которой сделан. Последний русификатор для IDE только для версии 8.5.4. К сожалению, в новых версиях разработчики Комодо отключили проверку дополнений на совместимость, так что теперь русификатор при обновлении не отключается и ломает Комодо. Решение в этом посте - http://laborpago.blogspot.ru/2015/11/komodo-edit-930.html
        Поддержка перевода для IDE не планируется, это очень не выгодно по трудозатратам.

        Удалить
      2. Этот комментарий был удален автором.

        Удалить
    5. Очень жаль, что не будет перевода IDE.
      В таком случае не могли бы вы ответить на пару вопросов по редактору? Насколько я понял - вы его хорошо знаете.
      Интересует подсветка синтаксиса и выравнивание кода. Уже несколько часов мучаю гугл - ничего вразумительного найти не могу:

      Проверка синтаксиса:
      Встроенная не работает. В настройках всё включено (правка --> настройки --> проверка синтаксиса), проставлены все галочки по умолчанию.
      Например в PHP коде совершаешь намеренные синтаксические ошибки, что-то типа "<?php if ()}?>". У того же Нетбинса от этого начинается истерика, а валидатор Комодо, в свою очередь уверяет, что всё ок - There are no syntax errors.
      Кстати, в IDE проверка синтаксиса реагирует только на правописание английских слов, очень нужная вещь...

      Выравнивание кода:
      Приведение кода к удобочитаемому виду. Что-то типа js beautify.
      Т.е. в редактор можно установить это расширение, но оно не работает. Вообще.
      И если в IDE выравнивание есть (тем же бьютифером) через пень колоду, то в редакторе нет даже этого, ну или по крайней мере я не нашёл.

      В общем если эти вопросы решаемы - прошу помощи )

      ОтветитьУдалить
      Ответы
      1. Если я правильно понимаю, то для того, чтобы работала проверка синтаксиса php должен быть установлен сам php в системе и указан в настройках Комодо (Правка-Настройки-Языки-PHP). Наверняка не скажу, не пользуюсь. Выравнивание кода отсутствует, единственное, что можно сделать - это форматирование (ctrl+Q). Но это ерунда получится. Если вам нужно мощное средство для написания кода, то на мой взгляд только нетбинс способен это дать совершенно бесплатно. Да, он тормоз и не очень красив, но функционал у него очень достойный.

        Удалить
      2. Спасибо, так и вышло - для проверки синтаксиса необходимо прописать путь до php.exe в настройках Комодо. Но если честно, меня она разочаровала. Если Нетбинс делает парсинг всего кода и помечает все найденные ошибки, то Комодо утыкается в первую попавшуюся и прекращает валидацию.

        Придётся остаться на Нетбинсе. Видимо из бесплатных (да и платных тоже) - это одно из самых мощных решений. Просто действительно, хотелось чего-нибудь не такого громоздкого и неповоротливого, как Нетбинс, да и по красивее тоже(в этой среде меня просто выбешивает подсветка, как я с ней уже только не бился). Поэтому и искал редактор "по проще", ведь новичкам функционал таких IDE как phpstorm, eclipse, да и той же netbeans просто не нужен )))

        Удалить
    6. Спасибо огромное за труд, многим пригодится (мне уже пригодилось)!

      ОтветитьУдалить
      Ответы
      1. Пожалуйста. Рад, что ещё кому-то пригождается.

        Удалить
    7. приветствую подскажите для 11 или 12 версии есть русификация для ide

      ОтветитьУдалить
      Ответы
      1. К сожалению нет. Я уже давно не занимаюсь русификатором.

        Удалить